<div class="card">
	<div class="card-header heading">Part 2: Executive Summary
		(Continued)</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card">
				<div class="card-header heading">Part 2a. Scope
					Verification(Continued)</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="card-padding pt-1">
							<form [formGroup]="part2aContinueForm">
								<p>
									<b class="head"><strong>Services that are provided
											by the service provider but were NOT INCLUDED in the scope of
											the PCI DSS Assessment</strong>(check all that apply):</b>
								</p>
								<div class="form-group row">
									<label class="col-sm-2 head" for="notAssessedServiceName">Name
										of service(s) not assessed:</label>
									<div class="col-sm-4">
										<input class="form-control" id="notAssessedServiceName"
											formControlName="notAssessedServiceName">
										<jhi-display-2-error
											[control]="part2aContinueForm.controls.notAssessedServiceName">
										</jhi-display-2-error>
									</div>
									<label class="col-sm-2 head" for="notAssessedServiceType">Type
										of service(s) not assessed:</label>
									<div class="col-sm-4">
										<input class="form-control" id="notAssessedServiceType"
											formControlName="notAssessedServiceType">
										<jhi-display-2-error
											[control]="part2aContinueForm.controls.notAssessedServiceType">
										</jhi-display-2-error>
									</div>
								</div>
								<div class="row heading-div mb-3">
									<span class="col-sm-4 p-3 heading">Hosting Provider:</span>
								</div>
								<div class="form-group list-style">
									<div class="">
										<div *ngFor="let host of hostingProvider; let i=index">
											<div class="form-check">
												<label class="form-check-label head"> <input
													class="form-check-input" type="checkbox" [value]="host.id"
													[checked]="host.checked"
													(change)="onHostChange(host, $event.target.checked)">
													{{host.serviceType}}
												</label>
											</div>
											<div class="form-group row"
												*ngIf="host.serviceType === 'Other Hosting (specify):' && this.specifyHost">
												<textarea class="form-control offset-sm-1 col-sm-10 head"
													type="text" name="specify"
													formControlName="specificationHost" row="3">
												</textarea>
												<jhi-display-2-error
													[control]="part2aContinueForm.controls.assessedServiceType">
												</jhi-display-2-error>
											</div>
											<div class="form-group row"
												*ngIf="host.serviceType === 'Others (specify):' && this.specify">
												<textarea class="form-control offset-sm-1 col-sm-10 head"
													type="text" name="specify"
													formControlName="specificationOther" row="3">
												</textarea>
												<jhi-display-2-error
													[control]="part2aContinueForm.controls.specificationOther">
												</jhi-display-2-error>
											</div>
										</div>
									</div>
								</div>
								<div class="row heading-div mb-3">
									<span class="col-sm-4 p-3 heading">Managed Services
										(specify): </span>
								</div>
								<div class="form-group list-style">
									<div class="">
										<div *ngFor="let manage of managedService; let i=index">
											<div class="form-check">
												<label class="form-check-label head"> <input
													class="form-check-input" type="checkbox"
													[value]="manage.id" [checked]="manage.checked"
													(change)="onManageChange(manage, $event.target.checked)">
													{{manage.serviceType}}
												</label>
											</div>
											<div class="form-group row"
												*ngIf="manage.serviceType === 'Other services (specify):' && this.specifyManage">
												<textarea class="form-control offset-sm-1 col-sm-10 head"
													type="text" name="specify"
													formControlName="specificationManage" row="3">
												</textarea>
												<jhi-display-2-error
													[control]="part2aContinueForm.controls.specificationManage">
												</jhi-display-2-error>
											</div>
										</div>
									</div>
								</div>
								<div class="row heading-div mb-3">
									<span class="col-sm-4 p-3 heading">Payment Processing:</span>
								</div>
								<div class="form-group list-style">
									<div class="">
										<div *ngFor="let payment of paymentProcessing">
											<div class="form-check">
												<label class="form-check-label head"> <input
													class="form-check-input" type="checkbox"
													[value]="payment.id" [checked]="payment.checked"
													(change)="onPaymentChange(payment, $event.target.checked)">
													{{payment.serviceType}}
												</label>
											</div>
											<div class="form-group row"
												*ngIf="payment.serviceType === 'Other processing (specify):' && this.specifyPayment">
												<textarea class="form-control offset-sm-1 col-sm-10 head"
													type="text" name="specify"
													formControlName="specificationProcess" row="3">
												</textarea>
												<jhi-display-2-error
													[control]="part2aContinueForm.controls.specificationProcess">
												</jhi-display-2-error>
											</div>
										</div>
									</div>
								</div>
								<div class="form-group mt-2">
									<label class="head" for="comment">Provide a brief
										explanation why any checked services were not included in the
										assessment:</label>
									<div class="">
										<textarea class="form-control" id="comment"
											formControlName="comment" row="3"></textarea>
										<jhi-display-2-error
											[control]="part2aContinueForm.controls.comment">
										</jhi-display-2-error>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!part2aContinueForm.valid" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!part2aContinueForm.valid" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i> 
				<i *ngIf="curStates === 'CARD_DESCRIPTION' || curStates === 'LOCATIONS' || curStates === 'PAYMENT_APPLICATIONS' || curStates === 'ENV_DESCRIPTION' || curStates === 'SERVICE_PROVIDERS' || curStates === 'TESTED_REQUIREMENTS' || curStates === 'SUMMARY'" (click)="forward()"
					class="fa fa-4x fa-angle-right float-right mr-4"></i>
			</div>
		</div>
	</div>
</div>
